rpm: String Manipulation API.

rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Functions
String Manipulation API.

## Files
file | rpmstring.h
| String manipulation helper functions.
## Functions
static RPM_GNUC_CONST int | rislower (int c)
| Locale insensitive islower(3)
static RPM_GNUC_CONST int | risupper (int c)
| Locale insensitive isupper(3)
static RPM_GNUC_CONST int | risalpha (int c)
| Locale insensitive isalpha(3)
static RPM_GNUC_CONST int | risdigit (int c)
| Locale insensitive isdigit(3)
static RPM_GNUC_CONST int | risalnum (int c)
| Locale insensitive isalnum(3)
static RPM_GNUC_CONST int | risblank (int c)
| Locale insensitive isblank(3)
static RPM_GNUC_CONST int | risspace (int c)
| Locale insensitive isspace(3)
static RPM_GNUC_CONST int | rtolower (int c)
| Locale insensitive tolower(3)
static RPM_GNUC_CONST int | rtoupper (int c)
| Locale insensitive toupper(3)
RPM_GNUC_PURE int | rstrcasecmp (const char *s1, const char *s2)
| Locale insensitive strcasecmp(3).
RPM_GNUC_PURE int | rstrncasecmp (const char *s1, const char *s2, size_t n)
| Locale insensitive strncasecmp(3).
int | rasprintf (char **strp, const char *fmt,...) RPM_GNUC_PRINTF(2
| asprintf() clone
int char * | rstrcat (char **dest, const char *src)
| Concatenate two strings with dynamically (re)allocated memory.
char * | rstrscat (char **dest, const char *arg,...) RPM_GNUC_NULL_TERMINATED
| Concatenate multiple strings with dynamically (re)allocated memory.
size_t | rstrlcpy (char *dest, const char *src, size_t n)
| strlcpy() clone: Copy src to string dest of size n.
RPM_GNUC_PURE unsigned int | rstrhash (const char *string)
| String hashing function.

## Function Documentation

int rasprintf | ( | char ** | strp,
|  | const char * | fmt,
|  |  | ...
| ) |  |

asprintf() clone

Referenced by getTarSpec(), and buildForTarget().

static RPM_GNUC_CONST int risalnum | ( | int | c | ) | `[inline, static]`

Locale insensitive isalnum(3)

Definition at line 54 of file rpmstring.h.

References risalpha(), and risdigit().

static RPM_GNUC_CONST int risalpha | ( | int | c | ) | `[inline, static]`

Locale insensitive isalpha(3)

Definition at line 38 of file rpmstring.h.

References rislower(), and risupper().

Referenced by risalnum().

static RPM_GNUC_CONST int risblank | ( | int | c | ) | `[inline, static]`

Locale insensitive isblank(3)

Definition at line 62 of file rpmstring.h.

Referenced by risspace().

static RPM_GNUC_CONST int risdigit | ( | int | c | ) | `[inline, static]`

Locale insensitive isdigit(3)

Definition at line 46 of file rpmstring.h.

Referenced by risalnum().

static RPM_GNUC_CONST int rislower | ( | int | c | ) | `[inline, static]`

Locale insensitive islower(3)

Definition at line 22 of file rpmstring.h.

Referenced by risalpha(), and rtoupper().

static RPM_GNUC_CONST int risspace | ( | int | c | ) | `[inline, static]`

Locale insensitive isspace(3)

Definition at line 70 of file rpmstring.h.

References risblank().

static RPM_GNUC_CONST int risupper | ( | int | c | ) | `[inline, static]`

Locale insensitive isupper(3)

Definition at line 30 of file rpmstring.h.

Referenced by risalpha(), and rtolower().

RPM_GNUC_PURE int rstrcasecmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |

Locale insensitive strcasecmp(3).

int char* rstrcat | ( | char ** | dest,
|  | const char * | src
| ) |  |

Concatenate two strings with dynamically (re)allocated memory.

Parameters:

  dest | pointer to destination string
  src | source string

Returns:
  realloc'd dest with src appended

RPM_GNUC_PURE unsigned int rstrhash | ( | const char * | string | ) |

String hashing function.

Parameters:

  string | string to hash

Returns:
  hash id

size_t rstrlcpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |

strlcpy() clone: Copy src to string dest of size n.

At most n-1 characters will be copied. Always zero-terminates (unless n == 0). Length of src is returned; if retval >= n, truncation occurred.

Parameters:

  dest | destination buffer
  src | string to copy
  n | destination buffer size

Returns:
  length of src string

RPM_GNUC_PURE int rstrncasecmp | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | n
| ) |  |

Locale insensitive strncasecmp(3).

char* rstrscat | ( | char ** | dest,
|  | const char * | arg,
|  |  | ...
| ) |  |

Concatenate multiple strings with dynamically (re)allocated memory.

Parameters:

  dest | pointer to destination string
  arg | NULL terminated list of strings to concatenate

Returns:
  realloc'd dest with strings appended

Referenced by main(), and buildForTarget().

static RPM_GNUC_CONST int rtolower | ( | int | c | ) | `[inline, static]`

Locale insensitive tolower(3)

Definition at line 78 of file rpmstring.h.

References risupper().

static RPM_GNUC_CONST int rtoupper | ( | int | c | ) | `[inline, static]`

Locale insensitive toupper(3)

Definition at line 86 of file rpmstring.h.

References rislower().